
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/9/8
 */
public class ShopSearchDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "店铺id列表-根据店铺id获取店铺列表")
    private List<Long> shopIds;

    @Schema(description = "是否优选好店 1.是 0.不是")
    private Integer isPreferred;

    @Schema(description = "支付系统类型")
    private Integer paySysType;

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public List<Long> getShopIds() {
        return shopIds;
    }

    public void setShopIds(List<Long> shopIds) {
        this.shopIds = shopIds;
    }

    public Integer getIsPreferred() {
        return isPreferred;
    }

    public void setIsPreferred(Integer isPreferred) {
        this.isPreferred = isPreferred;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    @Override
    public String toString() {
        return "ShopSearchDTO{" +
                "shopName='" + shopName + '\'' +
                ", shopIds=" + shopIds +
                ", isPreferred=" + isPreferred +
                ", paySysType=" + paySysType +
                '}';
    }
}
