package com.tmerclub.cloud.api.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 通联余额充值
 * @author TRACK
 */
public class AllinpayRechargeVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "支付金额")
    private Long payAmount;

    @Schema(description = "支付系统类型")
    private Integer paySysType;

    public AllinpayRechargeVO() {
    }

    public AllinpayRechargeVO(Long payAmount, Integer paySysType) {
        this.payAmount = payAmount;
        this.paySysType = paySysType;
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    @Override
    public String toString() {
        return "AllinpayRechargeVO{" +
                "payAmount=" + payAmount +
                ", paySysType=" + paySysType +
                '}';
    }
}
