
package com.tmerclub.cloud.api.combo.feign;

import com.tmerclub.cloud.common.product.vo.ComboSpuVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author xxw
 * @date 2022/9/28 9:45
 */
public interface ComboSpuFeignClient {

    /**
     * 根据套餐id获取套餐项商品信息
     * @param comboId
     * @return
     */
    ServerResponseEntity<List<ComboSpuVO>> comboSpuByComboId(Long comboId);

}
