
package com.tmerclub.cloud.delivery.bo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单快递信息项VO
 *
 * @author lhd
 * @date 2020-05-18 15:10:00
 */
public class DeliveryHundredItemInfoBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "接受站点", requiredMode = Schema.RequiredMode.REQUIRED)
    private String context;
    @Schema(description = "接受时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private String ftime;

    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        this.context = context;
    }

    public String getFtime() {
        return ftime;
    }

    public void setFtime(String ftime) {
        this.ftime = ftime;
    }

    @Override
    public String toString() {
        return "DeliveryHundredItemInfoBO{" +
                "context='" + context + '\'' +
                ", ftime='" + ftime + '\'' +
                '}';
    }
}
