package com.tmerclub.cloud.order.vo;

import java.io.Serial;
import java.io.Serializable;

/**
 * 小程序发货订单支付单号以及状态
 *
 * @author tmerclub
 */
public class OrderWxDeliveryVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 微信小程序订单状态  (1) 待发货；(2) 已发货；(3) 确认收货；(4) 交易完成；(5) 已退款
     */
    private Integer orderStatus;

    /**
     * 微信支付单号
     */
    private String bizPayNo;

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    @Override
    public String toString() {
        return "OrderWxDeliveryVO{" +
                "orderStatus=" + orderStatus +
                ", bizPayNo='" + bizPayNo + '\'' +
                '}';
    }

    public String getBizPayNo() {
        return bizPayNo;
    }

    public void setBizPayNo(String bizPayNo) {
        this.bizPayNo = bizPayNo;
    }
}
